import type { ExecutionArgs } from "graphql";
import type { AsyncExecutionResult, ExecutionResult } from "graphql/execution/execute";
import type { OperationPlan } from "./index.js";
import type { PromiseOrDirect } from "./interfaces.js";
export interface GrafastPrepareOptions {
    explain?: boolean | string[];
    asString?: boolean;
}
export declare function executePreemptive(operationPlan: OperationPlan, variableValues: any, context: any, rootValue: any, asString: boolean): PromiseOrDirect<ExecutionResult | AsyncGenerator<AsyncExecutionResult, void, void>>;
export declare function grafastPrepare(args: ExecutionArgs, options?: GrafastPrepareOptions): PromiseOrDirect<ExecutionResult | AsyncGenerator<AsyncExecutionResult, void, void>>;
//# sourceMappingURL=prepare.d.ts.map